package com.dayou.service;
import com.dayou.entity.ReportSection;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.report.dto.CalculateDataRequestDTO;
import com.dayou.report.dto.InputData;
import com.dayou.vo.ReportSectionTreeVO;

/**
 * <p>
 * 报告段落 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-08-29
 */
public interface IReportSectionService extends IService<ReportSection> {

        Page<ReportSection> selectPage(Page page,ReportSection reportSection);

        ReportSection detail(Long id);

        Boolean add(ReportSection reportSection);

        Boolean update(ReportSection reportSection);

        Boolean delete(Long id);

    String updateSection(ReportSectionTreeVO treeVO);

    String calculate(CalculateDataRequestDTO calculateData);

    InputData inputDataStructure(Long id);
}
